%define _fontsdir %_datadir/fonts/ttf/freefont

Name: fonts-ttf-freefont
Version: 0.060126
Release: alt2

Summary: Free unicode True Type fonts based on URW/Valek fonts
Summary (ru_RU.UTF-8): Свободные True Type шрифты основанные на шрифтах URW/Valek
License: GPL
Group: System/Fonts/True type
Url: http://savannah.nongnu.org/projects/freefont
Source0: freefont-ttf-20060126.tar.gz

PreReq: fontconfig >= 2.4.2
Obsoletes: freefont-ttf freefont-fonts-ttf braille-fonts-ttf
Provides: freefont-ttf freefont-fonts-ttf = %version

BuildArch: noarch
BuildRequires: mkfontscale

%description
A set of  Free unicode True Type fonts based on URW/Valek fonts

%description -l ru_RU.UTF-8
Свободные Unicode шрифты в формате True Type, основанные на шрифтах URW с дополнениями Валентина Филиппова.

%prep
%setup -q -n freefont-20060126

%install
mkdir -p %buildroot%_fontsdir
install -m644 *.ttf %buildroot%_fontsdir

mkfontscale %buildroot%_fontsdir
ln -s fonts.scale %buildroot%_fontsdir/fonts.dir

mkdir -p %buildroot%_sysconfdir/X11/fontpath.d
ln -s ../../..%_fontsdir %buildroot%_sysconfdir/X11/fontpath.d/ttf-freefont:pri=50

%post
%_bindir/fc-cache %_fontsdir ||:

%files
%doc AUTHORS README CREDITS ChangeLog
%_sysconfdir/X11/fontpath.d/*
%_fontsdir

%changelog
* Mon Sep 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.060126-alt2
- fixed Obsoletes/Requires

* Fri Aug 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.060126-alt1
- new version
- rebuild with fonts policy
- used %_sysconfdir/X11/fontpath.d, adieu chkfontpath

* Mon Jul 11 2005 Vyacheslav Dikonov <slava@altlinux.ru> 0.050704-alt8
- link to encodings.dir removed, no longer requires freetype
- update from the 7th of April 2005

* Thu Dec 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.030422-alt7
- link to encodings.dir fixed

* Tue Jul 06 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.030422-alt6
- spec fix (buf #4582)

* Sat May 15 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.030422-alt5
- macros fix (bug #4141)

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.030422-alt4
- %postun script fix

* Thu Aug 28 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.030422-alt3
- Renamed to freefont-fonts-ttf for uniformity
- Obsoletes braille-fonts-ttf (Braille font is now part of freefont)

* Wed Aug 27 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.021011-alt2
- New version
- Changed dir
- Cleanups
- Translation
- Wrong URL fixed

* Wed Oct 16 2002 AEN <aen@altlinux.ru> 0.021011-alt1
- new package in Sisyphus
